=== debian/changelog ===
ufo-core (0.13.0-1) unstable; urgency=medium

  * New upstream release.

 -- Picca Frédéric-Emmanuel <picca@synchrotron-soleil.fr>  Wed, 25 Jan 2017 18:15:20 +0100

ufo-core (0.12.1-1) unstable; urgency=medium

  * New upstream release.

 -- Picca Frédéric-Emmanuel <picca@synchrotron-soleil.fr>  Sun, 04 Dec 2016 10:37:58 +0100

ufo-core (0.12.0-1) unstable; urgency=medium

  * New upstream release.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 26 Nov 2016 09:33:53 +0100

ufo-core (0.11.1-1) unstable; urgency=low

  * Initial release (Closes: #843970)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 11 Nov 2013 09:07:17 +0100
