=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

%:
	dh $@ --with gir,python2,sphinxdoc,systemd --without autoreconf --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- -DINSTALL_COMPLETION=ON -DWITH_SYSTEMD=ON

override_dh_install:
	# gir1.2-ufo-0.0
	dh_install -p gir1.2-ufo-0.0 usr/lib/*/girepository-1.0

	# libufo-bin
	dh_install -p libufo-bin usr/bin/ufo-*
	dh_install -p libufo-bin usr/share/man/man1/ufo-*
	dh_install -p libufo-bin usr/share/bash-completion

	# libufo-data
	dh_install -p libufo-data usr/share/ufo

	# libufo-dev
	dh_install -p libufo-dev usr/include/*
	dh_install -p libufo-dev usr/lib/*/lib*.so
	dh_install -p libufo-dev usr/lib/*/pkgconfig
	dh_install -p libufo-dev usr/share/gir-1.0/

	# libufo0
	dh_install -p libufo0 usr/lib/*/lib*.so.*

	# ufod
	dh_install -p ufod lib/systemd/system
	dh_install -p ufod usr/bin/ufod
	dh_install -p ufod usr/share/man/man1/ufod.1

	# ufo-core-doc
	dh_install -p ufo-core-doc usr/share/gtk-doc
	dh_install -p ufo-core-doc ./*/docs/manual/html usr/share/doc/ufo-core-doc

	dh_install --remaining-packages --list-missing
