## ufo-core 0.15.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,8 +18,8 @@
 
 #{{{ Library version
 set(UFO_VERSION_MAJOR "0")
-set(UFO_VERSION_MINOR "13")
-set(UFO_VERSION_PATCH "0")
+set(UFO_VERSION_MINOR "15")
+set(UFO_VERSION_PATCH "1")
 set(UFO_VERSION "${UFO_VERSION_MAJOR}.${UFO_VERSION_MINOR}.${UFO_VERSION_PATCH}")
 set(UFO_GIR_VERSION "${UFO_VERSION_MAJOR}.0")
 #}}}
@@ -69,7 +69,6 @@
 pkg_check_modules(JSON_GLIB json-glib-1.0>=${PKG_JSON_GLIB_MIN_REQUIRED} REQUIRED)
 pkg_check_modules(ZMQ libzmq>=${PKG_ZMQ_MIN_REQUIRED})
 pkg_check_modules(PYTHON python)
-pkg_check_modules(PYTHON27 python-2.7)
 
 set(UFOCORE_DEPS
     m
@@ -81,21 +80,14 @@
     ${GIO2_LIBRARIES}
     ${JSON_GLIB_LIBRARIES})
 
-if (PYTHON_FOUND OR PYTHON27_FOUND)
+if (PYTHON_FOUND)
     option(WITH_PYTHON "Enable Python multithreading support" ON)
 
     if (WITH_PYTHON)
-        if (PYTHON_FOUND)
-            include_directories(${PYTHON_INCLUDE_DIRS})
-            list(APPEND UFOCORE_DEPS ${PYTHON_LIBRARIES})
-        endif ()
-
-        if (PYTHON27_FOUND)
-            include_directories(${PYTHON27_INCLUDE_DIRS})
-            list(APPEND UFOCORE_DEPS ${PYTHON27_LIBRARIES})
-        endif ()
+        include_directories(${PYTHON_INCLUDE_DIRS})
+        list(APPEND UFOCORE_DEPS ${PYTHON_LIBRARIES})
     endif ()
-endif ()
+endif()
 
 if (MPI_C_FOUND)
     option(WITH_MPI "Build with MPI support" OFF)
@@ -133,7 +125,7 @@
 #}}}
 #}}}
 #{{{ Definitions
-set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=c99 -Wall -Wextra -fPIC -Wno-unused-parameter -Wno-deprecated-declarations")
+set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu99 -Wall -Wextra -fPIC -Wno-unused-parameter -Wno-deprecated-declarations")
 
 add_definitions(-DG_LOG_DOMAIN=\"Ufo\"
                 -D_FILE_OFFSET_BITS=64)
