=== python/Makefile ===
install:
	@python setup.py install

check:
	@nosetests tests/
