=== docs/manual/requirements.txt ===
https://github.com/djungelorm/sphinx-tabs/releases/download/v1.1.5/sphinx-tabs-1.1.5.post11.tar.gz
