=== debian/changelog ===
ufo-core (0.15.1-3build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 05:44:41 +0000

ufo-core (0.15.1-3) unstable; urgency=medium

  * d/p/0002-switch-bin-scripts-to-Python3.patch: Added (Closes: #938743)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 19 Jan 2020 09:42:29 +0100

ufo-core (0.15.1-2) unstable; urgency=medium

  [ Alexandre Marie ]
  * Refreshed debian/changelog
  * Remove py2 in debian/control and debian/rules
  * Added myself to uploaders
  * Changed standard version in debian/control
  * Closes: #938743

  [ Frédéric Picca ]
  * Use debhelper-compat instead of debian/compat.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 08 Dec 2019 20:40:25 +0100

ufo-core (0.15.1-1) unstable; urgency=medium

  * New upstream release.
  * d/control
    - Build-Depends : added python3-sphinx-rtd-theme
  * d/patches
    - 0001-Desactivate-sphinx_tabs-extension.patch (added)

 -- Serge Cohen <serge1cohen@free.fr>  Mon, 29 Jan 2018 14:15:35 +0100

ufo-core (0.14.0-2) unstable; urgency=medium

  * d/rules
    - use as-needed in order to reduce binary dependencies

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 08 Oct 2017 12:07:18 +0200

ufo-core (0.14.0-1) unstable; urgency=medium

  * New upstream release.
  * d/control
    - Added Suggests: ufo-core-doc (Closes: #847623)
    - Bump Standard-Version 4.1.1 (extra -> optional)
    - Removed obsolete Build-Depends: dh-systemd
    - Switched from python-sphinx to python3-sphinx

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 08 Oct 2017 09:47:30 +0200
