=== debian/control ===
--- 
+++ 
@@ -1,35 +1,36 @@
 Source: ufo-core
-Maintainer: Picca Frédéric-Emmanuel <picca@debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>,
+ Serge Cohen <serge1cohen@free.fr>,
+ Alexandre Marie <alexandre.marie@synchrotron-soleil.fr>
 Section: libs
-Priority: extra
-Build-Depends: debhelper (>= 10),
-               asciidoc,
+Priority: optional
+Build-Depends: asciidoc,
                bash-completion,
                cmake,
+               debhelper-compat (= 10),
                dh-python,
-               dh-systemd (>= 1.5),
                gobject-introspection,
                gtk-doc-tools,
+               libgirepository1.0-dev,
                libglib2.0-dev,
-               libgirepository1.0-dev,
                libjson-glib-dev,
                libzmq3-dev,
                ocl-icd-opencl-dev,
-               python-dev,
-               python-sphinx,
-               systemd,
-Standards-Version: 3.9.8
-Vcs-Browser: http://anonscm.debian.org/cgit/debian-pan/packages/ufo-core.git
-Vcs-Git: https://anonscm.debian.org/git/debian-pan/packages/ufo-core.git
+               python3-dev,
+               python3-sphinx,
+               python3-sphinx-rtd-theme,
+               systemd
+Standards-Version: 4.4.1
+Vcs-Browser: https://salsa.debian.org/science-team/ufo-core
+Vcs-Git: https://salsa.debian.org/science-team/ufo-core.git
 Homepage: http://ufo.kit.edu/
 
 Package: gir1.2-ufo-0.0
 Architecture: any
 Multi-Arch: same
 Section: introspection
-Depends: ${gir:Depends},
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: Library for high-performance, GPU-based computing - gir binding
  The UFO data processing framework is a C library suited to build
@@ -48,9 +49,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libs
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         libufo-data (= ${source:Version})
+Depends: libufo-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: Library for high-performance, GPU-based computing - runtime
  The UFO data processing framework is a C library suited to build
@@ -66,9 +65,8 @@
 
 Package: libufo-bin
 Architecture: any
-Depends: ${misc:Depends},
-         ${python:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
+Suggests: ufo-core-doc
 Description: Library for high-performance, GPU-based computing - tools
  The UFO data processing framework is a C library suited to build
  general purpose streams data processing on heterogeneous
@@ -102,15 +100,16 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: ${misc:Depends},
-         gir1.2-ufo-0.0 (= ${binary:Version}),
+Depends: gir1.2-ufo-0.0 (= ${binary:Version}),
          libglib2.0-dev,
          libjson-glib-dev,
+         libpython3-dev,
          libufo0 (= ${binary:Version}),
          libzmq3-dev,
          ocl-icd-opencl-dev,
-         libpython-dev
+         ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
+Suggests: ufo-core-doc
 Description: Library for high-performance, GPU-based computing - devel
  The UFO data processing framework is a C library suited to build
  general purpose streams data processing on heterogeneous
@@ -125,8 +124,8 @@
 
 Package: ufod
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Suggests: ufo-core-doc
 Description: Library for high-performance, GPU-based computing - daemon
  The UFO data processing framework is a C library suited to build
  general purpose streams data processing on heterogeneous
@@ -144,8 +143,7 @@
 Architecture: all
 Multi-Arch: foreign
 Section: doc
-Depends: ${misc:Depends},
-         ${sphinxdoc:Depends}
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Description: Library for high-performance, GPU-based computing - documentation
  The UFO data processing framework is a C library suited to build
  general purpose streams data processing on heterogeneous
