=== debian/rules ===
--- 
+++ 
@@ -2,9 +2,11 @@
 # -*- makefile -*-
 
 #export DH_VERBOSE=1
+export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
-	dh $@ --with gir,python2,sphinxdoc,systemd --without autoreconf --buildsystem=cmake
+	dh $@ --with gir,python3,sphinxdoc,systemd --without autoreconf --buildsystem=cmake
 
 override_dh_auto_configure:
 	dh_auto_configure -- -DINSTALL_COMPLETION=ON -DWITH_SYSTEMD=ON
@@ -40,4 +42,3 @@
 	dh_install -p ufo-core-doc ./*/docs/manual/html usr/share/doc/ufo-core-doc
 
 	dh_install --remaining-packages --list-missing
-
