=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ufo-core-$1.tar.gz%" \
    https://github.com/ufo-kit/ufo-core/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
